Page MenuHomePhabricator

Deploy Extension:Newsletter on hewiki
Open, Stalled, MediumPublic

Description

Hello. The hewiki community decided by concensus in Village Pump to ask the Newsletter extension to be deployed.

We used it a couple of weeks on MediaWiki.org, in Newsletter:הפומפיה, and it's time to move home. A half of supporters are not this newsletter subscribers. Thank you.

Event Timeline

IKhitron created this task.Sep 30 2017, 8:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2017, 8:20 PM
Kizule claimed this task.Sep 30 2017, 8:22 PM

Change 381537 had a related patch set (by Zoranzoki21) published:
[operations/mediawiki-config@master] Enable Extension:Newsletter on hewiki

https://gerrit.wikimedia.org/r/381537

Kizule triaged this task as Medium priority.Sep 30 2017, 8:32 PM

Schedule for October 02 13:00–14:00 UTC

Hi, sorry, the Newsletter extension cannot be deployed to other Wikimedia wikis until we have figured out how to solve T110645: Interwiki support for Newsletter extension. A key value envisioned for this extension is to have a single catalog with all the newsletters, so users can check the one and only list and find everything there. If we start enabling this extension before the interwiki question is solved, we will have dozens of catalogs of newsletters spread all over.

QuimGil added a comment.EditedOct 1 2017, 8:20 PM

Note that T176199 is a different kind of request, because office.wikimedia.org is a stand-alone (not SUL) and private wiki. Therefore, the interwiki problem doesn't apply there.

I removed from Deploy Window.

Hi, sorry, the Newsletter extension cannot be deployed to other Wikimedia wikis until we have figured out how to solve T110645: Interwiki support for Newsletter extension. A key value envisioned for this extension is to have a single catalog with all the newsletters, so users can check the one and only list and find everything there. If we start enabling this extension before the interwiki question is solved, we will have dozens of catalogs of newsletters spread all over.

Hi, @QuimGil. This is why I added you as a subscriber after the MediaWiki-extensions-Newsletter was removed - I thought you should be aware about the move. A pity, but you are the boss, of course. Could you tell me, please:

  • How long do you think it will take? Because it's quite a difficulte to use foreign wiki - we don't have a local notification description, and wrong url.
  • The common list you mentioned is much less than all the interwiki problem solving, can't it be solved standalone?
  • Why do you think it's wrong to have a common list for a while, if it allows a normal work? Because all the problem can take months. You can add a message on the special page, that meanwhile there are some irrelevant items here. Please.

Thank you very much.

Change 381537 abandoned by Zoranzoki21:
Enable Extension:Newsletter on hewiki

Reason:
Per comment of user Qgil. I will restore this patch, when all will be ok

https://gerrit.wikimedia.org/r/381537

Kizule changed the task status from Open to Stalled.Oct 10 2017, 12:54 PM

Hi, sorry, the Newsletter extension cannot be deployed to other Wikimedia wikis until we have figured out how to solve T110645: Interwiki support for Newsletter extension. A key value envisioned for this extension is to have a single catalog with all the newsletters, so users can check the one and only list and find everything there. If we start enabling this extension before the interwiki question is solved, we will have dozens of catalogs of newsletters spread all over.

QuimGil added a comment.EditedOct 13 2017, 1:04 PM

I have replied to @IKhitron concerns at T110645#3682978 because they are not specific to hewiki.

Kizule moved this task from Inbox to Working on on the User-Kizule board.

Change 381537 restored by Zoranzoki21:
Enable Extension:Newsletter on hewiki

Reason:
I will restore this. When you can enable this

https://gerrit.wikimedia.org/r/381537

Status of this?

Change 381537 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Enable Extension:Newsletter on hewiki

https://gerrit.wikimedia.org/r/381537

Change 381537 abandoned by Urbanecm:
Enable Extension:Newsletter on hewiki

Reason:
patch can't be cleanly rebased and has a -2, abandoning - easy to reupload if it would be necessary in the future

https://gerrit.wikimedia.org/r/381537

Urbanecm removed Kizule as the assignee of this task.Sep 18 2019, 7:50 AM
Urbanecm added a subscriber: Kizule.
Kizule claimed this task.Sep 21 2019, 6:59 PM
Kizule removed a subscriber: Kizule.

I don't see reason for removing my claim.

Change 381537 restored by Zoranzoki21:
Enable Extension:Newsletter on hewiki

https://gerrit.wikimedia.org/r/381537

Change 381537 abandoned by Jforrester:
Enable Extension:Newsletter on hewiki

Reason:
Per Quim Gil.

https://gerrit.wikimedia.org/r/381537

Qgil removed a subscriber: Qgil.Sep 27 2019, 8:28 AM

@Zoranzoki21 thank you for helping to push it forward. However, I think the task is stalled/blocked by T110645 for the reasons Qim mentioned.